QGIS Application - Bug report #19732
starting qgis-bin.exe with command line options shows message e.g. invalid layer --profiles-name
2018-08-29 03:32 PM - Stefan Overkamp

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2.2 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 27557
Description

starting qgis-bin.exe with command line option (e.g. --profiles-path) raises critical messages:
Layer ist ungliltig : Der Layer D:\einstellungen\default ist kein gltiger Layer und kann nicht zur Karte hinzugeftgt. Grund:
Layer ist ungiiltig : Der Layer D:\einstellungen\--profiles-name ist kein gliltiger Layer und kann nicht zur Karte hinzugefiigt. Grund:

start "QGIS" /B P:\qgis\v3\bin\qgis-bin.exe --profiles-path "D:\einstellungen\QGIS3" --profiles-name "default" %*

History

#1 - 2018-08-29 05:30 PM - Giovanni Manghi
- Status changed from Open to Feedback

"%*" is for?

#2 - 2018-08-29 05:31 PM - Giovanni Manghi

- Category changed from GUI to Build/Install

#3 - 2018-08-29 05:33 PM - Giovanni Manghi

Did it worked as expected on 2.187?

#4 - 2018-08-29 07:31 PM - Jiirgen Fischer

- Resolution set to invalid

- Status changed from Feedback to Closed

Stefan Overkamp wrote:

starting qgis-bin.exe with command line option (e.g. --profiles-path) raises critical messages:

Layer ist ungliltig : Der Layer D:\einstellungen\default ist kein gliltiger Layer und kann nicht zur Karte hinzugefiigt. Grund:

Layer ist ungliltig : Der Layer D:\einstellungen\--profiles-name ist kein gliltiger Layer und kann nicht zur Karte hinzugeftigt. Grund:

start "QGIS" /B P:\qgis\v3\bin\qgis-bin.exe --profiles-path "D:\einstellungen\QGIS3" --profiles-name "default" %*

--profiles-name does not exists - it's called --profile.

2024-04-28 12




#5 - 2018-08-29 07:33 PM - Jiirgen Fischer

Giovanni Manghi wrote:

"%*" is for?

The arguments the batch file was called with (see for instance https://ss64.com/nt/syntax-args.html)
